Package ru.bitel.oss.systems.inventory.product.server.bean

# Class ProductSpecActivationModeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.oss.systems.inventory.product.server.bean.ProductSpecActivationModeDao

public class ProductSpecActivationModeDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductSpecActivationModeDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(int id)`
  `ProductSpecActivationMode`
  `get(int id)`
  `protected ProductSpecActivationMode`
  `getFromRS(ResultSet rs)`
  `List<ProductSpecActivationMode>`
  `list()`
  `List<ProductSpecActivationMode>`
  `list(int productSpecId)`
  `List<ProductSpecActivationMode>`
  `list(List<Integer> ids)`
  `List<ProductSpecActivationMode>`
  `listByModuleId(int moduleId)`
  `void`
  `update(ProductSpecActivationMode activationMode)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProductSpecActivationModeDao

    public ProductSpecActivationModeDao(Connection con, int moduleId)

- ## Method Details

  - ### get

    public ProductSpecActivationMode get(int id) throws SQLException
    Throws:
      `SQLException`

  - ### delete

    public void delete(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected ProductSpecActivationMode getFromRS(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### update

    public void update(ProductSpecActivationMode activationMode) throws SQLException
    Throws:
      `SQLException`

  - ### listByModuleId

    public List<ProductSpecActivationMode> listByModuleId(int moduleId) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<ProductSpecActivationMode> list(int productSpecId) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<ProductSpecActivationMode> list(List<Integer> ids) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<ProductSpecActivationMode> list() throws SQLException
    Throws:
      `SQLException`